## openresolv 3.4.0

=== Makefile ===
include config.mk

NAME=		openresolv
VERSION=	3.4.0
PKG=		${NAME}-${VERSION}

INSTALL?=	install
SED?=		sed

BINMODE?=	0755
DOCMODE?=	0644
MANMODE?=	0444

RESOLVCONF=	resolvconf resolvconf.8 resolvconf.conf.5
SUBSCRIBERS=	libc dnsmasq named pdnsd unbound
TARGET=		${RESOLVCONF} ${SUBSCRIBERS}
SRCS=		${TARGET:C,$,.in,} # pmake
SRCS:=		${TARGET:=.in} # gmake

SED_PREFIX=		-e 's:@PREFIX@:${PREFIX}:g'
SED_SYSCONFDIR=		-e 's:@SYSCONFDIR@:${SYSCONFDIR}:g'
SED_LIBEXECDIR=		-e 's:@LIBEXECDIR@:${LIBEXECDIR}:g'
SED_VARDIR=		-e 's:@VARDIR@:${VARDIR}:g'
SED_RCDIR=		-e 's:@RCDIR@:${RCDIR}:g'
SED_RESTARTCMD=		-e 's:@RESTARTCMD \(.*\)@:${RESTARTCMD}:g'

.SUFFIXES: .in

all: ${TARGET}

.in:
	${SED}	${SED_PREFIX} ${SED_SYSCONFDIR} ${SED_LIBEXECDIR} \
		${SED_VARDIR} ${SED_RCDIR} ${SED_RESTARTCMD} \
		$< > $@

clean:
	rm -f ${TARGET} openresolv-${VERSION}.tar.bz2

distclean: clean
	rm -f config.mk

installdirs:

install: ${TARGET}
	${INSTALL} -d ${DESTDIR}${SBINDIR}
	${INSTALL} -m ${BINMODE} resolvconf ${DESTDIR}${SBINDIR}
	${INSTALL} -d ${DESTDIR}${SYSCONFDIR}
	test -e ${DESTDIR}${SYSCONFDIR}/resolvconf.conf || \
	${INSTALL} -m ${DOCMODE} resolvconf.conf ${DESTDIR}${SYSCONFDIR}
	${INSTALL} -d ${DESTDIR}${LIBEXECDIR}
	${INSTALL} -m ${DOCMODE} ${SUBSCRIBERS} ${DESTDIR}${LIBEXECDIR}
	${INSTALL} -d ${DESTDIR}${MANDIR}/man8
	${INSTALL} -m ${MANMODE} resolvconf.8 ${DESTDIR}${MANDIR}/man8
	${INSTALL} -d ${DESTDIR}${MANDIR}/man5
	${INSTALL} -m ${MANMODE} resolvconf.conf.5 ${DESTDIR}${MANDIR}/man5

import:
	rm -rf /tmp/${PKG}
	${INSTALL} -d /tmp/${PKG}
	cp README ${SRCS} /tmp/${PKG}

dist: import
	cp configure Makefile resolvconf.conf /tmp/${PKG}
	tar cvjpf ${PKG}.tar.bz2 -C /tmp ${PKG} 
	rm -rf /tmp/${PKG} 
	ls -l ${PKG}.tar.bz2

=== debian/changelog ===
openresolv (3.4.0-1) unstable; urgency=low

  * New upstream release
  * Added pdnsd support (closes: #601390)
  * Added abiliity to append search domains (closes: #601681)
  * Added hooks for ifupdown, ppp and dhclient (closes: #601312)

 -- Roy Marples <roy@marples.name>  Thu, 4 Nov 2010 19:43:33 +0100

openresolv (3.3.6-1) unstable; urgency=low

  * Initial upload to Debian (closes: #595081)

 -- Roy Marples <roy@marples.name>  Thu, 23 Sep 2010 10:06:38 +0100

=== debian/control ===
Source: openresolv
Section: net
Priority: optional
Maintainer: Roy Marples <roy@marples.name>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://roy.marples.name/projects/openresolv

Package: openresolv
Provides: resolvconf
Architecture: all
Depends: ${misc:Depends}
Conflicts: resolvconf
Description: management framework for resolv.conf
 Allows multiple daemons to manage resolv.conf and configures
 local resolvers such as dnsmasq and unbound.
 .
 This package may require some manual configuration.
 Please read resolvconf(8) and resolvconf.conf(5) for detailed instructions.

=== debian/rules ===
#!/usr/bin/make -f

export LIBEXECDIR=/lib/resolvconf
DESTDIR=debian/openresolv
SRCDIR=debian

override_dh_auto_configure:
	dh_auto_configure -- --prefix= --libexecdir=/lib \
		--mandir=/usr/share/man

# These hooks should be moved to the respective packages.
# We supply them only to be a replacement to the resolvconf package.
override_dh_install:
	dh_install
	dh_installdirs etc/dhcp/dhclient-enter-hooks.d
	install -p --owner=root --group=root --mode=0644 ${SRCDIR}/dhclient \
		${DESTDIR}/etc/dhcp/dhclient-enter-hooks.d/resolvconf
	dh_installdirs etc/dhcp3/dhclient-enter-hooks.d
	install -p --owner=root --group=root --mode=0644 ${SRCDIR}/dhclient \
		${DESTDIR}/etc/dhcp3/dhclient-enter-hooks.d/resolvconf

override_dh_installifupdown:
	dh_installifupdown --name=000resolvconf
	dh_installifupdown --name=resolvconf

override_dh_installppp:
	dh_installppp --name=000resolvconf

%:
	dh $@

## openresolv 3.4.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 include config.mk
 
 NAME=		openresolv
-VERSION=	3.4.0
+VERSION=	3.4.4
 PKG=		${NAME}-${VERSION}
 
 INSTALL?=	install

=== debian/changelog ===
openresolv (3.4.4-2) unstable; urgency=low

  * Support dhclient IPv6, thanks to Geoffrey Sisson (closes: #635479)
  * Add a note about setting name_servers= in resolvconf.conf on
    Debian systems to README.Debian
  * Updated Standards-Version to 3.9.2 (no changes needed)

 -- Roy Marples <roy@marples.name>  Mon, 1 Aug 2011 19:59:34 +0100

openresolv (3.4.4-1) unstable; urgency=low

  * New upstream release
  * Patch /etc/resolvconf.conf to mirror the default locations
    for the resolvers dnsmasq, pdnsd and unbound (closes: #630688)

 -- Roy Marples <roy@marples.name>  Mon, 25 Jul 2011 21:30:52 +0100

openresolv (3.4.2-1) unstable; urgency=low

  * New upstream release

 -- Roy Marples <roy@marples.name>  Mon, 13 Jun 2011 11:46:37 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Roy Marples <roy@marples.name>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://roy.marples.name/projects/openresolv
 
 Package: openresolv

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	dh_installdirs etc/dhcp3/dhclient-enter-hooks.d
 	install -p --owner=root --group=root --mode=0644 ${SRCDIR}/dhclient \
 		${DESTDIR}/etc/dhcp3/dhclient-enter-hooks.d/resolvconf
+	cat ${SRCDIR}/resolvconf.conf-debian >> ${DESTDIR}/etc/resolvconf.conf
 
 override_dh_installifupdown:
 	dh_installifupdown --name=000resolvconf

## openresolv 3.5.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 include config.mk
 
 NAME=		openresolv
-VERSION=	3.4.4
+VERSION=	3.5.2
 PKG=		${NAME}-${VERSION}
 
 INSTALL?=	install

=== debian/changelog ===
openresolv (3.5.2-1) unstable; urgency=low

  * New upstream release
  * Return 0 for subscribers whose init script do not exist (closes: 659760)
  * Support sortlist in our resolvconf hook (closes: 637285)
  * Updated Standards-Version to 3.9.3 (no changes needed)

 -- Roy Marples <roy@marples.name>  Fri, 06 Apr 2012 16:03:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Roy Marples <roy@marples.name>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://roy.marples.name/projects/openresolv
 
 Package: openresolv

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SRCDIR=debian
 
 override_dh_auto_configure:
-	dh_auto_configure -- --prefix= --libexecdir=/lib \
+	dh_auto_configure -- --prefix= --libexecdir=/lib/resolvconf \
 		--mandir=/usr/share/man
 
 # These hooks should be moved to the respective packages.

=== debian/watch ===
version=3
ftp://roy.marples.name/pub/openresolv/openresolv-(.*)\.tar\.bz2 debian uupdate

## openresolv 3.7.0

=== debian/changelog ===
openresolv (3.7.0-1) unstable; urgency=medium
 
  * QA upload.
  * New upstream release. (Closes: #724105).
  * Update DH level to 9
  * debian/copyright updated.
  * debian/control:
      - bumped Standards-Version to 3.9.6.
      - Maintainer field updated.
      - Homepage field updated.
      - Added Vcs* fields.
      - Architecture: any.
  * debian/patches: created resolvconf-conf-5-spell.patch.
  * debian/rules: fixed path to /etc/dhcp.
  * debian/watch updated.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Tue, 12 May 2015 15:31:26 -0300

## openresolv 3.7.2

=== Makefile ===
PKG=		openresolv
VERSION=	3.7.1

# Nasty hack so that make clean works without configure being run
_CONFIG_MK!=	test -e config.mk && echo config.mk || echo config-null.mk
CONFIG_MK?=	${_CONFIG_MK}
include		${CONFIG_MK}

SBINDIR?=	/sbin
SYSCONFDIR?=	/etc
LIBEXECDIR?=	/libexec/resolvconf
VARDIR?=	/var/run/resolvconf
RCDIR?=		/etc/rc.d
RESTARTCMD?=	if ${RCDIR}/\1 status >/dev/null 2>\&1; then \
			${RCDIR}/\1 restart; \
		fi

INSTALL?=	install
SED?=		sed

BINMODE?=	0755
DOCMODE?=	0644
MANMODE?=	0444

RESOLVCONF=	resolvconf resolvconf.8 resolvconf.conf.5
SUBSCRIBERS=	libc dnsmasq named pdnsd unbound
TARGET=		${RESOLVCONF} ${SUBSCRIBERS}
SRCS=		${TARGET:C,$,.in,} # pmake
SRCS:=		${TARGET:=.in} # gmake

SED_SBINDIR=		-e 's:@SBINDIR@:${SBINDIR}:g'
SED_SYSCONFDIR=		-e 's:@SYSCONFDIR@:${SYSCONFDIR}:g'
SED_LIBEXECDIR=		-e 's:@LIBEXECDIR@:${LIBEXECDIR}:g'
SED_VARDIR=		-e 's:@VARDIR@:${VARDIR}:g'
SED_RCDIR=		-e 's:@RCDIR@:${RCDIR}:g'
SED_RESTARTCMD=		-e 's:@RESTARTCMD \(.*\)@:${RESTARTCMD}:g'

DISTPREFIX?=	${PKG}-${VERSION}
DISTFILEGZ?=	${DISTPREFIX}.tar.gz
DISTFILE?=	${DISTPREFIX}.tar.xz
FOSSILID?=	current

.SUFFIXES: .in

all: ${TARGET}

.in:
	${SED}	${SED_SBINDIR} ${SED_SYSCONFDIR} ${SED_LIBEXECDIR} \
		${SED_VARDIR} ${SED_RCDIR} ${SED_RESTARTCMD} \
		$< > $@

clean:
	rm -f ${TARGET}

distclean: clean
	rm -f config.mk ${DISTFILE}

installdirs:

proginstall: ${TARGET}
	${INSTALL} -d ${DESTDIR}${SBINDIR}
	${INSTALL} -m ${BINMODE} resolvconf ${DESTDIR}${SBINDIR}
	${INSTALL} -d ${DESTDIR}${SYSCONFDIR}
	test -e ${DESTDIR}${SYSCONFDIR}/resolvconf.conf || \
	${INSTALL} -m ${DOCMODE} resolvconf.conf ${DESTDIR}${SYSCONFDIR}
	${INSTALL} -d ${DESTDIR}${LIBEXECDIR}
	${INSTALL} -m ${DOCMODE} ${SUBSCRIBERS} ${DESTDIR}${LIBEXECDIR}

maninstall:
	${INSTALL} -d ${DESTDIR}${MANDIR}/man8
	${INSTALL} -m ${MANMODE} resolvconf.8 ${DESTDIR}${MANDIR}/man8
	${INSTALL} -d ${DESTDIR}${MANDIR}/man5
	${INSTALL} -m ${MANMODE} resolvconf.conf.5 ${DESTDIR}${MANDIR}/man5

install: proginstall maninstall

import:
	rm -rf /tmp/${DISTPREFIX}
	${INSTALL} -d /tmp/${DISTPREFIX}
	cp README ${SRCS} /tmp/${DISTPREFIX}

dist:
	fossil tarball --name ${DISTPREFIX} ${FOSSILID} ${DISTFILEGZ}
	gunzip -c ${DISTFILEGZ} | xz >${DISTFILE}
	rm ${DISTFILEGZ}

=== debian/changelog ===
openresolv (3.7.2-1) unstable; urgency=low

  * QA upload.
  * New upstream release.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Thu, 26 Nov 2015 15:28:42 -0200

openresolv (3.7.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/patches:
      - resolvconf-conf-5-spell.patch removed. Applied by the upstream.
      - resolvconf.8.in-spell.patch created.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Thu, 08 Oct 2015 10:00:17 -0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: openresolv
 Section: net
 Priority: optional
-Maintainer: Roy Marples <roy@marples.name>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.3
-Homepage: http://roy.marples.name/projects/openresolv
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
+Homepage: http://roy.marples.name/projects/openresolv/home
+Vcs-Git: git://anonscm.debian.org/collab-maint/openresolv.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/openresolv.git
 
 Package: openresolv
 Provides: resolvconf
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends}
 Conflicts: resolvconf
 Description: management framework for resolv.conf

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,9 @@
 	dh_installdirs etc/dhcp/dhclient-enter-hooks.d
 	install -p --owner=root --group=root --mode=0644 ${SRCDIR}/dhclient \
 		${DESTDIR}/etc/dhcp/dhclient-enter-hooks.d/resolvconf
-	dh_installdirs etc/dhcp3/dhclient-enter-hooks.d
+	dh_installdirs etc/dhcp/dhclient-enter-hooks.d
 	install -p --owner=root --group=root --mode=0644 ${SRCDIR}/dhclient \
-		${DESTDIR}/etc/dhcp3/dhclient-enter-hooks.d/resolvconf
+		${DESTDIR}/etc/dhcp/dhclient-enter-hooks.d/resolvconf
 	cat ${SRCDIR}/resolvconf.conf-debian >> ${DESTDIR}/etc/resolvconf.conf
 
 override_dh_installifupdown:

=== debian/watch ===
version=3
http://roy.marples.name/downloads/openresolv/openresolv-(\d\S+)\.tar\.(?:bz2|gz|xz)

## openresolv 3.8.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
 PKG=		openresolv
-VERSION=	3.7.1
 
 # Nasty hack so that make clean works without configure being run
 _CONFIG_MK!=	test -e config.mk && echo config.mk || echo config-null.mk
@@ -10,13 +9,11 @@
 SYSCONFDIR?=	/etc
 LIBEXECDIR?=	/libexec/resolvconf
 VARDIR?=	/var/run/resolvconf
-RCDIR?=		/etc/rc.d
-RESTARTCMD?=	if ${RCDIR}/\1 status >/dev/null 2>\&1; then \
-			${RCDIR}/\1 restart; \
-		fi
 
 INSTALL?=	install
 SED?=		sed
+
+VERSION!=	${SED} -n 's/OPENRESOLV_VERSION="\(.*\)".*/\1/p' resolvconf.in
 
 BINMODE?=	0755
 DOCMODE?=	0644
@@ -33,7 +30,9 @@
 SED_LIBEXECDIR=		-e 's:@LIBEXECDIR@:${LIBEXECDIR}:g'
 SED_VARDIR=		-e 's:@VARDIR@:${VARDIR}:g'
 SED_RCDIR=		-e 's:@RCDIR@:${RCDIR}:g'
-SED_RESTARTCMD=		-e 's:@RESTARTCMD \(.*\)@:${RESTARTCMD}:g'
+SED_RESTARTCMD=		-e 's:@RESTARTCMD@:${RESTARTCMD}:g'
+SED_RCDIR=		-e 's:@RCDIR@:${RCDIR}:g'
+SED_STATUSARG=		-e 's:@STATUSARG@:${STATUSARG}:g'
 
 DISTPREFIX?=	${PKG}-${VERSION}
 DISTFILEGZ?=	${DISTPREFIX}.tar.gz
@@ -44,9 +43,10 @@
 
 all: ${TARGET}
 
-.in:
+.in: Makefile ${CONFIG_MK}
 	${SED}	${SED_SBINDIR} ${SED_SYSCONFDIR} ${SED_LIBEXECDIR} \
-		${SED_VARDIR} ${SED_RCDIR} ${SED_RESTARTCMD} \
+		${SED_VARDIR} \
+		${SED_RCDIR} ${SED_RESTARTCMD} ${SED_RCDIR} ${SED_STATUSARG} \
 		$< > $@
 
 clean:

=== debian/changelog ===
openresolv (3.8.0-1) unstable; urgency=medium

  * New upstream release
    - Fix doesn't work with multiple domains in search,
      they are concatenated. (Closes: #817841)
  * New Maintainer (Closes: #770083)
  * d/patches
    - Update resolvconf.8.in-spell
  * d/copyright
    - Update copyright 

 -- Jose dos Santos Junior <j.s.junior@live.com>  Wed, 13 Apr 2016 20:08:41 -0300

openresolv (3.7.3-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * debian/control:
      - Bump Standards-Version to 3.9.7.
      - Vcs-* fields using https.
  * debian/copyright updated.
  * debian/patches:
      - resolvconf.conf.5.in-spell.patch created.
  * debian/watch:
      - version 4.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Sun, 28 Feb 2016 14:39:40 -0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: openresolv
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://roy.marples.name/projects/openresolv/home
-Vcs-Git: git://anonscm.debian.org/collab-maint/openresolv.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/openresolv.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/openresolv.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/openresolv.git
 
 Package: openresolv
 Provides: resolvconf

=== debian/watch ===
version=4
http://roy.marples.name/downloads/openresolv/openresolv-(\d\S+)\.tar\.(?:bz2|gz|xz)

## openresolv 3.10.0

=== debian/changelog ===
openresolv (3.10.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Set debian branch name in gbp.conf.
  * Bump copyright year.
  * Bump Standards-Version to 4.5.0.
  * Amend lintian-overrides for pdns_recursor script.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 09 Feb 2020 11:50:59 +0100

openresolv (3.9.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
    - Fix restarting of services with systemd (Closes: #881103)
    - Fix logic for interfaces without metric (Closes: #913612)
    - Fix exit code when restarting non-existing services (Closes: #813836)
  * Drop patches; applied upstream
  * Orphan package. (see: #927951)
  * Update homepage. (LP: #1836027)
  * Update debhelper compat to 12.
  * Update location of unbound configuration file.
    (Closes: #913602, LP: #1552292)
  * Switch URLs to https.
  * Switch Vcs-* URLs to salsa.
  * Mark openresolv as Multi-Arch: same.
  * Update Standards-Version to 4.4.1:
    - Declare that d/rules does not require root
  * Remove duplicate installation in d/rules and simplify.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 24 Oct 2019 11:21:39 +0200

=== debian/control ===
Source: openresolv
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://roy.marples.name/projects/openresolv
Vcs-Git: https://salsa.debian.org/debian/openresolv.git
Vcs-Browser: https://salsa.debian.org/debian/openresolv

Package: openresolv
Provides: resolvconf
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Conflicts: resolvconf
Description: management framework for resolv.conf
 Allows multiple daemons to manage resolv.conf and configures
 local resolvers such as dnsmasq and unbound.
 .
 This package may require some manual configuration.
 Please read resolvconf(8) and resolvconf.conf(5) for detailed instructions.

## openresolv 3.12.0

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 LIBEXECDIR?=	/libexec/resolvconf
 VARDIR?=	/var/run/resolvconf
 
+ECHO?=		echo
 INSTALL?=	install
 SED?=		sed
 
@@ -19,9 +20,10 @@
 DOCMODE?=	0644
 MANMODE?=	0444
 
-RESOLVCONF=	resolvconf resolvconf.8 resolvconf.conf.5
-SUBSCRIBERS=	libc dnsmasq named pdnsd unbound
-TARGET=		${RESOLVCONF} ${SUBSCRIBERS}
+RESOLVCONF=		resolvconf resolvconf.8 resolvconf.conf.5
+SUBSCRIBERS=		libc dnsmasq named pdnsd pdns_recursor unbound
+LIBC_SUBSCRIBERS=	avahi-daemon mdnsd
+TARGET=		${RESOLVCONF} ${SUBSCRIBERS} ${LIBC_SUBSCRIBERS}
 SRCS=		${TARGET:C,$,.in,} # pmake
 SRCS:=		${TARGET:=.in} # gmake
 
@@ -37,7 +39,12 @@
 DISTPREFIX?=	${PKG}-${VERSION}
 DISTFILEGZ?=	${DISTPREFIX}.tar.gz
 DISTFILE?=	${DISTPREFIX}.tar.xz
-FOSSILID?=	current
+DISTINFO=	${DISTFILE}.distinfo
+DISTINFOSIGN=	${DISTINFO}.asc
+CKSUM?=		cksum -a SHA256
+PGP?=		netpgp
+
+GITREF?=	HEAD
 
 .SUFFIXES: .in
 
@@ -53,7 +60,7 @@
 	rm -f ${TARGET}
 
 distclean: clean
-	rm -f config.mk ${DISTFILE}
+	rm -f config.mk ${DISTFILE} ${DISTINFO} ${DISTINFOSIGN}
 
 installdirs:
 
@@ -65,6 +72,9 @@
 	${INSTALL} -m ${DOCMODE} resolvconf.conf ${DESTDIR}${SYSCONFDIR}
 	${INSTALL} -d ${DESTDIR}${LIBEXECDIR}
 	${INSTALL} -m ${DOCMODE} ${SUBSCRIBERS} ${DESTDIR}${LIBEXECDIR}
+	${INSTALL} -d ${DESTDIR}${LIBEXECDIR}/libc.d
+	${INSTALL} -m ${DOCMODE} ${LIBC_SUBSCRIBERS} \
+		${DESTDIR}${LIBEXECDIR}/libc.d
 
 maninstall:
 	${INSTALL} -d ${DESTDIR}${MANDIR}/man8
@@ -74,12 +84,39 @@
 
 install: proginstall maninstall
 
-import:
+dist-git:
+	git archive --prefix=${DISTPREFIX}/ ${GITREF} | xz >${DISTFILE}
+
+dist-inst:
+	mkdir /tmp/${DISTPREFIX}
+	cp -RPp * /tmp/${DISTPREFIX}
+	(cd /tmp/${DISTPREFIX}; make clean)
+	tar -cvjpf ${DISTFILE} -C /tmp ${DISTPREFIX}
+	rm -rf /tmp/${DISTPREFIX}
+
+dist: dist-git
+
+distinfo: dist
+	rm -f ${DISTINFO} ${DISTINFOSIGN}
+	${CKSUM} ${DISTFILE} >${DISTINFO}
+	#printf "SIZE (${DISTFILE}) = %s\n" $$(wc -c <${DISTFILE}) >>${DISTINFO}
+	${PGP} --clearsign --output=${DISTINFOSIGN} ${DISTINFO}
+	chmod 644 ${DISTINFOSIGN}
+	ls -l ${DISTFILE} ${DISTINFO} ${DISTINFOSIGN}
+
+import: dist
 	rm -rf /tmp/${DISTPREFIX}
 	${INSTALL} -d /tmp/${DISTPREFIX}
-	cp README ${SRCS} /tmp/${DISTPREFIX}
+	tar xvJpf ${DISTFILE} -C /tmp
 
-dist:
-	fossil tarball --name ${DISTPREFIX} ${FOSSILID} ${DISTFILEGZ}
-	gunzip -c ${DISTFILEGZ} | xz >${DISTFILE}
-	rm ${DISTFILEGZ}
+_import-src:
+	rm -rf ${DESTDIR}/*
+	${INSTALL} -d ${DESTDIR}
+	cp LICENSE README.md ${SRCS} resolvconf.conf ${DESTDIR};
+	cp resolvconf.8.in resolvconf.conf.5.in ${DESTDIR};
+	@${ECHO}
+	@${ECHO} "============================================================="
+	@${ECHO} "openresolv-${VERSION} imported to ${DESTDIR}"
+
+import-src:
+	${MAKE} _import-src DESTDIR=`if [ -n "${DESTDIR}" ]; then echo "${DESTDIR}"; else  echo /tmp/${DISTPREFIX}; fi`

=== debian/changelog ===
openresolv (3.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Sat, 02 Jan 2021 13:01:00 -0300

openresolv (3.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Using new DH level format. Consequently:
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Bumped Standards-Version to 4.5.1.
      - Changed Architecture field, in Package stanza, to all.
      - Changed Multi-Arch field, in Package stanza, to foreign.
  * debian/copyright: added myself to packaging block.
  * debian/openresolv.lintian-overrides: added two more scripts not marked
    executable and sorted.
  * debian/patches/010_fix-manpage-syntax.patch: added to fix some macro
    syntax in the resolvconf.conf.5.in manpage and some spelling errors also.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/upstream/metadata: added Changelog, Homepage and Repository-Browse
    fields.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Sat, 19 Dec 2020 10:28:50 -0300

openresolv (3.10.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Repository.

  [ Fabio Augusto De Muzio Tobich ]
  * New maintainer. (Closes: #927951)
  * debian/gbp.conf: removed, not needed anymore.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Fri, 18 Dec 2020 21:52:26 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: openresolv
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Maintainer: Fabio Augusto De Muzio Tobich <ftobich@gmail.com>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://roy.marples.name/projects/openresolv
 Vcs-Git: https://salsa.debian.org/debian/openresolv.git
@@ -11,8 +11,8 @@
 
 Package: openresolv
 Provides: resolvconf
-Architecture: any
-Multi-Arch: same
+Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Conflicts: resolvconf
 Description: management framework for resolv.conf

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,7 @@
 # We supply them only to be a replacement to the resolvconf package.
 override_dh_install:
 	dh_install
-	dh_installdirs etc/dhcp/dhclient-enter-hooks.d
-	install -p --owner=root --group=root --mode=0644 ${SRCDIR}/dhclient \
-		${DESTDIR}/etc/dhcp/dhclient-enter-hooks.d/resolvconf
-	dh_installdirs etc/dhcp/dhclient-enter-hooks.d
-	install -p --owner=root --group=root --mode=0644 ${SRCDIR}/dhclient \
-		${DESTDIR}/etc/dhcp/dhclient-enter-hooks.d/resolvconf
+	install -D -p --mode=0644 ${SRCDIR}/dhclient ${DESTDIR}/etc/dhcp/dhclient-enter-hooks.d/resolvconf
 	cat ${SRCDIR}/resolvconf.conf-debian >> ${DESTDIR}/etc/resolvconf.conf
 
 override_dh_installifupdown:

=== debian/watch ===
version=4
https://roy.marples.name/downloads/openresolv/openresolv-@ANY_VERSION@@ARCHIVE_EXT@

## openresolv 3.13.2

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,9 @@
 _CONFIG_MK!=	test -e config.mk && echo config.mk || echo config-null.mk
 CONFIG_MK?=	${_CONFIG_MK}
 include		${CONFIG_MK}
+
+DIST!=		if test -d .git; then echo "dist-git"; \
+		else echo "dist-inst"; fi
 
 SBINDIR?=	/sbin
 SYSCONFDIR?=	/etc
@@ -37,12 +40,12 @@
 SED_STATUSARG=		-e 's:@STATUSARG@:${STATUSARG}:g'
 
 DISTPREFIX?=	${PKG}-${VERSION}
-DISTFILEGZ?=	${DISTPREFIX}.tar.gz
 DISTFILE?=	${DISTPREFIX}.tar.xz
 DISTINFO=	${DISTFILE}.distinfo
-DISTINFOSIGN=	${DISTINFO}.asc
-CKSUM?=		cksum -a SHA256
-PGP?=		netpgp
+DISTINFOMD=	${DISTINFO}.md
+DISTSIGN=	${DISTFILE}.asc
+SHA256?=	sha256
+PGP?=		gpg
 
 GITREF?=	HEAD
 
@@ -60,7 +63,7 @@
 	rm -f ${TARGET}
 
 distclean: clean
-	rm -f config.mk ${DISTFILE} ${DISTINFO} ${DISTINFOSIGN}
+	rm -f config.mk ${DISTFILE} ${DISTINFO} ${DISTINFOMD} ${DISTSIGN}
 
 installdirs:
 
@@ -91,18 +94,30 @@
 	mkdir /tmp/${DISTPREFIX}
 	cp -RPp * /tmp/${DISTPREFIX}
 	(cd /tmp/${DISTPREFIX}; make clean)
-	tar -cvjpf ${DISTFILE} -C /tmp ${DISTPREFIX}
+	tar -cvJpf ${DISTFILE} -C /tmp ${DISTPREFIX}
 	rm -rf /tmp/${DISTPREFIX}
 
-dist: dist-git
+dist: ${DIST}
 
 distinfo: dist
-	rm -f ${DISTINFO} ${DISTINFOSIGN}
-	${CKSUM} ${DISTFILE} >${DISTINFO}
-	#printf "SIZE (${DISTFILE}) = %s\n" $$(wc -c <${DISTFILE}) >>${DISTINFO}
-	${PGP} --clearsign --output=${DISTINFOSIGN} ${DISTINFO}
-	chmod 644 ${DISTINFOSIGN}
-	ls -l ${DISTFILE} ${DISTINFO} ${DISTINFOSIGN}
+	rm -f ${DISTINFO} ${DISTSIGN}
+	${SHA256} ${DISTFILE} >${DISTINFO}
+	wc -c <${DISTFILE} \
+		| xargs printf 'Size   (${DISTFILE}) = %s\n' >>${DISTINFO}
+	${PGP} --armour --detach-sign ${DISTFILE}
+	chmod 644 ${DISTSIGN}
+	ls -l ${DISTFILE} ${DISTINFO} ${DISTSIGN}
+
+${DISTINFOMD}: ${DISTINFO}
+	echo '```' >${DISTINFOMD}
+	cat ${DISTINFO} >>${DISTINFOMD}
+	echo '```' >>${DISTINFOMD}
+
+release: distinfo ${DISTINFOMD}
+	gh release create v${VERSION} \
+		--title "openresolv ${VERSION}" --draft --generate-notes \
+		--notes-file ${DISTINFOMD} \
+		${DISTFILE} ${DISTSIGN}
 
 import: dist
 	rm -rf /tmp/${DISTPREFIX}
@@ -119,4 +134,4 @@
 	@${ECHO} "openresolv-${VERSION} imported to ${DESTDIR}"
 
 import-src:
-	${MAKE} _import-src DESTDIR=`if [ -n "${DESTDIR}" ]; then echo "${DESTDIR}"; else  echo /tmp/${DISTPREFIX}; fi`
+	${MAKE} _import-src DESTDIR=`if [ -n "${DESTDIR}" ]; then echo "${DESTDIR}"; else echo /tmp/${DISTPREFIX}; fi`

=== debian/changelog ===
openresolv (3.13.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Fri, 19 Jul 2024 10:23:30 -0300

openresolv (3.13.2-2) experimental; urgency=medium

  * Restructuring package for the /usr-move (DEP17) transition. Consequently:
    (Closes: #1073605)
      - debian/dhclient: replaced paths from /sbin to /usr/sbin.
      - debian/openresolv.000resolvconf.if-up: replaced paths from /sbin to
        /usr/sbin.
      - debian/openresolv.000resolvconf.ppp.ip-down: replaced paths from /sbin
        to /usr/sbin.
      - debian/openresolv.000resolvconf.ppp.ip-up: replaced paths from /sbin to
        /usr/sbin.
      - debian/openresolv.lintian-overrides: replaced path from /lib to
        /usr/lib.
      - debian/openresolv.resolvconf.if-down: replaced paths from /sbin to
        /usr/sbin.
      - debian/rules:
          ~ Removed empty '--prefix=' from override_dh_auto_configure.
          ~ Replaced path in LIBEXECDIR from /lib to /usr/lib.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Sun, 14 Jul 2024 23:42:22 -0300

openresolv (3.13.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 4.7.0.
  * debian/copyright: updated some years.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 13 May 2024 10:18:37 -0300

openresolv (3.13.1-1) unstable; urgency=medium

  [ Fabio Augusto De Muzio Tobich ]
  * New upstream release.
  * debian/copyright: updated packaging year.
  * debian/patches/010_fix-manpage-syntax.patch: updated and refreshed.
  * debian/README.Debian: fixed a typo. (Closes: #1030949)
  * debian/watch: updated to use upstream github repository.

  [ MichaIng ]
  * Do not handle Unbound/dnsmasq/PowerDNS by default. Consequently:
      - debian/resolvconf.conf-debian: removed.
      - debian/rules: removed command to append debian/resolvconf.conf-debian
        into ${DESTDIR}/etc/resolvconf.conf in override_dh_install.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Fri, 16 Jun 2023 18:17:59 -0300

openresolv (3.12.0-3) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright: updated packaging block year.
  * debian/openresolv.lintian-overrides: adjusted to use wildcard.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 19 Dec 2022 10:13:39 -0300

openresolv (3.12.0-2) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.6.0.
      - Changed my email in Maintainer field.
  * debian/copyright:
      - Changed my email in packaging block.
      - Updated some years.
  * debian/salsa-ci.yml: use Debian recipe for salsa CI.
  * debian/upstream/metadata:
      - Added Bug-Database field.
      - Added Bug-Submit field.
      - Removed unknown Homepage field.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Fri, 22 Oct 2021 13:06:07 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: openresolv
 Section: net
 Priority: optional
-Maintainer: Fabio Augusto De Muzio Tobich <ftobich@gmail.com>
+Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://roy.marples.name/projects/openresolv
 Vcs-Git: https://salsa.debian.org/debian/openresolv.git

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/NetworkConfiguration/openresolv/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## openresolv 3.16.4

=== debian/changelog ===
openresolv (3.16.4-1) unstable; urgency=medium

  * New upstream release. (Closes: #991758, #792430, #1057387)
  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/copyright: updated some years.
  * debian/patches/:
      - 010_fix-manpage-syntax.patch: removed, applied upstream.
      - 010_posix-functions-fix.patch: added to fix a shell script fails in
        'resolvectl'.
  * debian/upstream/metadata: updated some fields.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Wed, 14 May 2025 11:59:37 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://roy.marples.name/projects/openresolv
 Vcs-Git: https://salsa.debian.org/debian/openresolv.git

=== debian/rules ===
#!/usr/bin/make -f

export LIBEXECDIR=/usr/lib/resolvconf
DESTDIR=debian/openresolv
SRCDIR=debian

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=/usr/lib/resolvconf \
		--mandir=/usr/share/man

# These hooks should be moved to the respective packages.
# We supply them only to be a replacement to the resolvconf package.
override_dh_install:
	dh_install
	install -D -p --mode=0644 ${SRCDIR}/dhclient ${DESTDIR}/etc/dhcp/dhclient-enter-hooks.d/resolvconf

override_dh_installifupdown:
	dh_installifupdown --name=000resolvconf
	dh_installifupdown --name=resolvconf

override_dh_installppp:
	dh_installppp --name=000resolvconf

%:
	dh $@

## openresolv 3.17.4

=== debian/changelog ===
openresolv (3.17.4-1) unstable; urgency=medium

  * New upstream release. (Closes: #1057384)
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Priority field removed. Since is now set to "optional" by default, as
        such the field was redundant.
      - Rules-Requires-Root field removed. Since is now set to "no" by default,
        as such the field was redundant.
  * debian/copyright: updated packaging year.
  * debian/patches/:
      - 010_posix-functions-fix.patch: removed, not needed anymore.
      - series: removed, not needed anymore.
  * debian/watch: converted to version 5.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Thu, 01 Jan 2026 09:23:40 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: openresolv
 Section: net
-Priority: optional
 Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://roy.marples.name/projects/openresolv
 Vcs-Git: https://salsa.debian.org/debian/openresolv.git
 Vcs-Browser: https://salsa.debian.org/debian/openresolv

=== debian/watch ===
Version: 5
Template: Github
Owner: NetworkConfiguration
Project: openresolv
